
Ruby - Bug #18734

[Win32] `File.sticky?` returns `nil` while `File::Stat.sticky?` returns `false`

04/15/2022 07:40 AM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.7: WONTFIX, 3.0: DONE, 3.1: DONE

Description

On the platforms where sticky bit is not provided, File.sticky? returns nil while File::Stat.sticky? returns false.

It seems changed accidentally together with test_s() at git|86307f52ee1b3c5aa76e2fd6ee118e681dd76905.

Associated revisions

Revision 7f81f335478a3ca873f34e3bc0af6927819d3e84 - 04/15/2022 08:52 AM - nobu (Nobuyoshi Nakada)

Return false where sticky-bit is not provided [Bug #18734]

Revision 7f81f335478a3ca873f34e3bc0af6927819d3e84 - 04/15/2022 08:52 AM - nobu (Nobuyoshi Nakada)

Return false where sticky-bit is not provided [Bug #18734]

Revision 7f81f335 - 04/15/2022 08:52 AM - nobu (Nobuyoshi Nakada)

Return false where sticky-bit is not provided [Bug #18734]

Revision 6ac4449fce6257ffe653a743880cead2e43167e8 - 06/18/2022 02:00 PM - U.Nakamura 

merge revision(s) 7f81f335478a3ca873f34e3bc0af6927819d3e84: [Backport #18734]

    Return `false` where sticky-bit is not provided [Bug #18734]

    ---

     file.c | 2 +-

     1 file changed, 1 insertion(+), 1 deletion(-)

Revision 6ac4449fce6257ffe653a743880cead2e43167e8 - 06/18/2022 02:00 PM - U.Nakamura 

merge revision(s) 7f81f335478a3ca873f34e3bc0af6927819d3e84: [Backport #18734]

    Return `false` where sticky-bit is not provided [Bug #18734]

    ---

     file.c | 2 +-

     1 file changed, 1 insertion(+), 1 deletion(-)

Revision 6ac4449f - 06/18/2022 02:00 PM - U.Nakamura 

merge revision(s) 7f81f335478a3ca873f34e3bc0af6927819d3e84: [Backport #18734]

    Return `false` where sticky-bit is not provided [Bug #18734]

    ---

     file.c | 2 +-

     1 file changed, 1 insertion(+), 1 deletion(-)

Revision 89eab8e0bf34ed36f32c1f8c230790f8b23a356f - 09/25/2022 04:46 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 7f81f335478a3ca873f34e3bc0af6927819d3e84: [Backport #18734]

    Return `false` where sticky-bit is not provided [Bug #18734]

    ---

     file.c | 2 +-

     1 file changed, 1 insertion(+), 1 deletion(-)

Revision 89eab8e0bf34ed36f32c1f8c230790f8b23a356f - 09/25/2022 04:46 AM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 7f81f335478a3ca873f34e3bc0af6927819d3e84: [Backport #18734]

    Return `false` where sticky-bit is not provided [Bug #18734]

    ---

     file.c | 2 +-

     1 file changed, 1 insertion(+), 1 deletion(-)

Revision 89eab8e0 - 09/25/2022 04:46 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 7f81f335478a3ca873f34e3bc0af6927819d3e84: [Backport #18734]

    Return `false` where sticky-bit is not provided [Bug #18734]

    ---

     file.c | 2 +-

     1 file changed, 1 insertion(+), 1 deletion(-)

History

#1 - 04/15/2022 10:30 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset git|7f81f335478a3ca873f34e3bc0af6927819d3e84.

Return false where sticky-bit is not provided [Bug #18734]

#2 - 07/25/2022 11:40 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.7: REQUIRED, 3.0: REQUIRED, 3.1: REQUIRED to 2.7: WONTFIX, 3.0: DONE, 3.1: REQUIRED

#3 - 09/25/2022 05:05 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.7: WONTFIX, 3.0: DONE, 3.1: REQUIRED to 2.7: WONTFIX, 3.0: DONE, 3.1: DONE

ruby_3_1 89eab8e0bf34ed36f32c1f8c230790f8b23a356f merged revision(s) 7f81f335478a3ca873f34e3bc0af6927819d3e84.
